Subject: Re: [Softwires] [Softwire] Questions on draft-boucadair-dslite-interco-v4v6-03

From: "Lee, Yiu" <[email-masked]>
Date: Fri, 21 May 2010 20:19:45 -0400

Hi Qiong,

I am sorry that I replied to you so late.

I have few questions:

1. When you said “we not only have to deploy two endpoints, but also the
additional endpoint of AFTR.” What two endpoints you referred to? B4 and
ICXF? 
2. I don’t know where the double encapsulations happen. Can you elaborate
it? 
3. In this draft, it extends the basic ds-lite to deploy AFTR in an
IPv6-only network, so the assumptions are the access network is IPv6-only
and the CPE is the B4 element. However, there may be other situations the
CPE may locate in different type of access network and the B4 is the gateway
(gi-dslite and ds-extra-lite for examples).
4. It is possible to support native DS CPE so long as the DS CPE connects to
a B4 element. The B4 element can be in the provider network.

>From your emails, I still don’t know what deployment scenario you
considered. If you don’t mind, can you explain to me?

Regards,
Yiu

On 3/22/10 9:14 PM, "孙琼" <[email-masked]> wrote:

> Thank you. I can see that this kind of DS-Lite is good for core network. But
> in my consideration, the major problem which might impede the deployment of
> DS-Lite is that it has to take control of end-user's CPE. However, in this
> case, we not only have to deploy two endpoints, but also the addtional
> endpoint of AFTR. And the function of AFTR is a little too complicated,
> including double tunnel encapsulation, CGN, CGN-related ALG, etc. So why does
> CPE have to locate in IPv6-only environment? Can it possible that CPE can
> still send and receive IPv4 packet, while AFTR and ICXF locate in IPv6-only
> environment?
>  
> Thank you.
>  
> Qiong SUN 
> 
> 在 2010年3月23日 上午4:03，Lee, Yiu <[email-masked]>写道：
>> As Med replied in a different email, the CPE is the B4 in the ds-lite draft
>> which performs v4-over-v6 tunnel for v4 packets. No NAT-44 will happen in B4.
>> 
>> 
>> 
>> On 3/22/10 10:28 AM, "孙琼" <[email-masked]
>> <http://[email-masked]> > wrote:
>> 
>>> Hi Boucadair, 
>>> 
>>> I'm wondering if I have missed something in this draft. I can understand
>>> that in this extended DS-Lite, ICXF is core stateless and it is quite
>>> scalable for core routers. However, since CPEs can send both IPv4 packet and
>>> IPv6 packet to AFTR, it will then include double NAT problem if we have to
>>> allocate private IPv4 address to CPEs. Then what is the advantage of this
>>> kind of DS-Lite vs. NAT666 plus dual stack?
>>> 
>>> Thank you very much.
>>> 
>>> Best regards
>>> 
>>> Qiong SUN
>>> 
>>> 
>>> _______________________________________________
>>> Softwires mailing list
>>> [email-masked] <http://[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/softwires
> 
>